## filetype.py 1.2.0

=== Makefile ===
all: lint unit

export PYTHONPATH:=${PWD}
version=`python -c 'import filetype; print(filetype.version)'`
filename=filetype-`python -c 'import filetype;print(filetype.version)'`.tar.gz

lint:
	@flake8 .

test: clean lint
	@echo "Running tests ..."
	@python -m unittest discover

documentation:
	@pdoc --html --overwrite --all-submodules --html-dir docs filetype
	@rm -rf docs/v${version}
	@mv docs/filetype docs/v${version}

deploy-documentation: documentation
	@cd docs && git checkout gh-pages
	@cd docs && git add .
	@cd docs && git commit -am release
	@cd docs && git push --force origin gh-pages

clean:
	@printf "Cleaning up files that are already in .gitignore... "
	@for pattern in `cat .gitignore`; do find . -name "$$pattern" -delete; done
	@echo "OK!"

tag:
	@echo "Creating tag v$(version)..."
	@echo $(version)
	@git tag -a v$(version) -m "Version v$(version)"
	@git push origin v$(version)

compress:
	@printf "Exporting to $(filename)... "
	@tar czf $(filename) filetype setup.py README.md LICENSE

publish:
	@echo "==> Releasing package $(version)..."
	@python setup.py sdist bdist_wheel
	@twine upload dist/* --repository-url https://upload.pypi.org/legacy/
	@rm -fr build dist .egg pook.egg-info

release: clean docs deploy-documentation tag compress publish
	@echo "DONE!"

## filetype.py 1.0.10

=== debian/changelog ===
filetype.py (1.0.10-2) unstable; urgency=medium

  * Fix autopkgtests

 -- Jerome Charaoui <jerome@riseup.net>  Fri, 18 Feb 2022 21:19:21 -0500

filetype.py (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10
  * Add upstream/metadata

 -- Jerome Charaoui <jerome@riseup.net>  Fri, 18 Feb 2022 21:07:04 -0500

filetype.py (1.0.9-1) unstable; urgency=medium

  * New upstream version 1.0.9
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.6.0.1 (no changes needed)
  * Improve package description
  * Add manpage for new executable

 -- Jerome Charaoui <jerome@riseup.net>  Sun, 30 Jan 2022 16:30:44 -0500

filetype.py (1.0.7-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Jerome Charaoui <jerome@riseup.net>  Sat, 29 Jan 2022 10:15:46 -0500

filetype.py (1.0.7-1) unstable; urgency=medium

  * Initial release. (Closes: #953523)
  * Based on initial packaging by Joao Eriberto Mota Filho
    <eriberto@debian.org>

 -- Jerome Charaoui <jerome@riseup.net>  Sat, 12 Jun 2021 12:04:52 -0400

=== debian/control ===
Source: filetype.py
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jerome Charaoui <jerome@riseup.net>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: https://github.com/h2non/filetype.py
Vcs-Git: https://salsa.debian.org/python-team/packages/filetype.py.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/filetype.py

Package: python3-filetype
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Infer file type and MIME type of any file/buffer
 Small and dependency free Python module to infer file type and MIME type
 checking the magic numbers signature of a file or buffer (aka file pattern).
 .
 This is a Python port from filetype Go package.
 .
 Features:
   - Simple and friendly API.
   - Supports a wide range of file types.
   - Provides file extension and MIME type inference.
   - File discovery by extension or MIME type.
   - File discovery by kind (image, video, audio...).
   - Pluggable: add new custom type matchers.
   - Fast, even processing large files.
   - Only first 261 bytes representing the max file header is required, so you
     can just pass a list of bytes.
   - Dependency free (just Python code, no C extensions, no libmagic bindings).
   - Cross-platform file recognition.
 .
 Currently, the following patterns are recognised:
   - Image: bmp, cr2, dwg, gif, heic, ico, jpg, jpx, jxr, png, psd, tif, xcf,
            webp.
   - Video: avi, flv, m4v, mkv, mov, mp4, mpg, webm, wmv, 3gpp.
   - Audio: aac, aiff, amr, flac, m4a, mid, mp3, ogg, wav.
   - Archive: ar, br, bz2, cab, crx, dcm, deb, eot, epub, exe, gz, lz, lzo, lz4,
              nes, pdf, ps, rar, rpm, rtf, sqlite, swf, tar, xz, zip, Z, 7z.
   - Font: otf, ttf, woff, woff2.
   - Application: wasm.
 .
 This package contains the filetype module for Python 3 and an executable.

## filetype.py 1.2.0

=== debian/changelog ===
filetype.py (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * d/control: bump Standards-Version, no changes needed

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 07 Jan 2023 11:36:33 -0500

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Jerome Charaoui <jerome@riseup.net>
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3-all,
-               python3-setuptools
-Standards-Version: 4.6.0.1
+Uploaders:
+ Jérôme Charaoui <jerome@riseup.net>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python,
+ python3-all,
+ python3-setuptools,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/h2non/filetype.py
 Vcs-Git: https://salsa.debian.org/python-team/packages/filetype.py.git
@@ -15,7 +17,9 @@
 
 Package: python3-filetype
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Infer file type and MIME type of any file/buffer
  Small and dependency free Python module to infer file type and MIME type
  checking the magic numbers signature of a file or buffer (aka file pattern).

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/python3-filetype/usr/lib/python3*/dist-packages/examples

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%filetype.py-$1.tar.gz%" \
https://github.com/h2non/filetype.py/tags .*/v?(\d\S+)\.tar\.gz
